package com.xjrsoft.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import springfox.documentation.builders.ApiInfoBuilder;
import springfox.documentation.builders.PathSelectors;
import springfox.documentation.builders.RequestHandlerSelectors;
import springfox.documentation.service.Contact;
import springfox.documentation.spi.DocumentationType;
import springfox.documentation.spring.web.plugins.Docket;
import springfox.documentation.swagger2.annotations.EnableSwagger2WebMvc;

@Configuration
@EnableSwagger2WebMvc
public class Knife4jConfig{

    @Bean(value = "xjrsoftApi")
    public Docket xjrsoftApi() {
        return new Docket(DocumentationType.SWAGGER_2)
                .apiInfo(new ApiInfoBuilder()
                        .title("XJRSOFT RESTful APIs")
                        .description("# XJRSOFT RESTful APIs")
                        .termsOfServiceUrl("https://www.xjrsoft.com")
                        .contact(new Contact("tzx","www.xjrsoft.com","343894036@qq.com"))
                        .version("1.0")
                        .build())
                //分组名称
                .groupName("1.0版本")
                .select()
                //这里指定Controller扫描包路径
                .apis(RequestHandlerSelectors.basePackage("com.xjrsoft.module"))
                .paths(PathSelectors.any())
                .build();
    }
}